Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(36)

Issue 2950173003: Support add-on 'field trial' records. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 month ago by bcwhite
Modified:
3 weeks, 2 days ago
CC:
chromium-reviews, asvitkine+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Support add-on 'field trial' records. Field trials are activated at any time so its important to record their presence immediately rather than wait for the next "complete" system profile to be provided. These are written as "extension" records and otherwise ignored until recovery of the profile at which point their contents are used to extend the stored version. BUG=695880 Review-Url: https://codereview.chromium.org/2950173003 Cr-Commit-Position: refs/heads/master@{#483355} Committed: https://chromium.googlesource.com/chromium/src/+/c1ddec34b40c28a89bea7e53eea719e62d6d3df3

Patch Set 1 #

Total comments: 2

Patch Set 2 : renamed method #

Total comments: 18

Patch Set 3 : addressed review comments by asvitkine #

Unified diffs Side-by-side diffs Delta from patch set Stats (+172 lines, -32 lines) Patch
M chrome/browser/metrics/field_trial_synchronizer.cc View 1 2 2 chunks +6 lines, -0 lines 0 comments Download
M components/metrics/persistent_system_profile.h View 1 2 6 chunks +15 lines, -2 lines 0 comments Download
M components/metrics/persistent_system_profile.cc View 1 2 9 chunks +112 lines, -26 lines 0 comments Download
M components/metrics/persistent_system_profile_unittest.cc View 1 2 2 chunks +34 lines, -0 lines 0 comments Download
M components/variations/active_field_trials.h View 2 chunks +3 lines, -2 lines 0 comments Download
M components/variations/active_field_trials.cc View 1 chunk +2 lines, -2 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 24 (16 generated)
bcwhite
4 weeks, 1 day ago (2017-06-22 17:14:57 UTC) #6
Alexei Svitkine (slow)
https://codereview.chromium.org/2950173003/diff/1/components/metrics/persistent_system_profile.h File components/metrics/persistent_system_profile.h (right): https://codereview.chromium.org/2950173003/diff/1/components/metrics/persistent_system_profile.h#newcode126 components/metrics/persistent_system_profile.h:126: static void MergeExtensionRecords( I don't like "extension" terminology here ...
4 weeks ago (2017-06-23 18:51:54 UTC) #7
bcwhite
https://codereview.chromium.org/2950173003/diff/1/components/metrics/persistent_system_profile.h File components/metrics/persistent_system_profile.h (right): https://codereview.chromium.org/2950173003/diff/1/components/metrics/persistent_system_profile.h#newcode126 components/metrics/persistent_system_profile.h:126: static void MergeExtensionRecords( On 2017/06/23 18:51:54, Alexei Svitkine (slow) ...
3 weeks, 3 days ago (2017-06-28 14:25:35 UTC) #10
Alexei Svitkine (slow)
https://codereview.chromium.org/2950173003/diff/20001/components/metrics/persistent_system_profile.cc File components/metrics/persistent_system_profile.cc (right): https://codereview.chromium.org/2950173003/diff/20001/components/metrics/persistent_system_profile.cc#newcode44 components/metrics/persistent_system_profile.cc:44: ~(sizeof(RecordHeader) - 1); I recently noticed we have base::Align(): ...
3 weeks, 3 days ago (2017-06-28 14:59:01 UTC) #11
bcwhite
https://codereview.chromium.org/2950173003/diff/20001/components/metrics/persistent_system_profile.cc File components/metrics/persistent_system_profile.cc (right): https://codereview.chromium.org/2950173003/diff/20001/components/metrics/persistent_system_profile.cc#newcode44 components/metrics/persistent_system_profile.cc:44: ~(sizeof(RecordHeader) - 1); On 2017/06/28 14:59:00, Alexei Svitkine (slow) ...
3 weeks, 3 days ago (2017-06-28 16:43:31 UTC) #16
Alexei Svitkine (slow)
lgtm
3 weeks, 2 days ago (2017-06-28 17:14:35 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2950173003/40001
3 weeks, 2 days ago (2017-06-29 14:07:17 UTC) #21
commit-bot: I haz the power
3 weeks, 2 days ago (2017-06-29 14:13:25 UTC) #24
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/c1ddec34b40c28a89bea7e53eea7...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 25c286973